'use strict';

const gulp = require('gulp');
const htmltpl = require('../lib/index');
const artTemplate = require('art-template');

gulp.task('default', function() {
	return gulp.src('html/component/index.html')
		.pipe(htmltpl({
			tag: 'template',
			paths: ['./html/common'],
			engine: function(template, data) {
				return artTemplate.compile(template)(data)
			},
			data: {
				useHeader: false
			},
			beautify: {
				indent_char: ' ',
				indent_with_tabs: false
			}
		}))
		.pipe(gulp.dest('./dist'));
});