const through = require('through2');
const createParser = require('./parser');

module.exports = function plugin(options) {
	const initialData = Object(options.data);
	const parseContent = createParser(options).parseContent;

	return through.obj(function compile(file, encoding, callback) {
		if (file.isBuffer()) {
			const content = parseContent(file.contents, file.path, initialData);
			const ref = file;
			ref.contents = new Buffer(content);
			this.push(ref);
		}
		return callback();
	});
};